## EXPORT_SPEC IXML_Document* UpnpMakeAction

## ( IN const char* ActionName,
IN const char* ServType,
IN int NumArg,
IN const char* Arg,
IN ... )

> UpnpMakeAction creates an action request packet based on its input parameters (status variable name and value pair).

## Documentation

> UpnpMakeAction creates an action request packet based on its input parameters (status variable name and value pair). Any number of input parameters can be passed to this function but every input variable name should have a matching value argument.

Parameters:
  - ActionName The action name.
  ServType - The service type.
  NumArg - Number of argument pairs to be passed.
  Arg - Status variable name and value pair.
Returns:
  [IXML_Document*] The action node of Upnp_Document type or `NULL` if the operation failed.

Alphabetic index

This page was generated with the help of DOC++.